org.wildfly.swarm.request.controller

## Class RequestControllerFraction

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.RequestController<RequestControllerFraction>
      - - org.wildfly.swarm.request.controller.RequestControllerFraction

- All Implemented Interfaces:
    Serializable, Cloneable, Map, Fraction

      public class RequestControllerFraction
      extends RequestController<RequestControllerFraction>
      implements Fraction

  Author:
    Bob McWhirter, Ken Finnigan, Lance Ball
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestControllerFraction()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RequestControllerFraction` | `createDefaultFraction()`

    - ### Methods inherited from class org.wildfly.swarm.config.RequestController

      `activeRequests, activeRequests, addPropertyChangeListener, getKey, maxRequests, maxRequests, removePropertyChangeListener, trackIndividualEndpoints, trackIndividualEndpoints`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.wildfly.swarm.spi.api.Fraction

      `applyDefaults, applyDefaults`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### RequestControllerFraction

          public RequestControllerFraction()

  - ### Method Detail

    - #### createDefaultFraction

          public static RequestControllerFraction createDefaultFraction()

Copyright © 2017 JBoss by Red Hat. All rights reserved.